#
# spec file for package hexchat-gnome-away
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hexchat-gnome-away
Version:        0.1
Release:        1.1
Summary:        GNOME ScreenSaver auto-away Hexchat plugin
License:        GPL-3.0+
Group:          Productivity/Networking/IRC
Url:            https://github.com/lkundrak/hexchat-gnome-away
Source0:        https://github.com/lkundrak/hexchat-gnome-away/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(hexchat-plugin)
Requires:       hexchat

%description
This is a simple Hexchat plugin, that marks you away while your GNOME desktop
screensaver is active.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%make_install

%files
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/hexchat/plugins/hexchat-gnome-away.so

%changelog
* Mon Mar 13 2017 tchvatal@suse.com
- Update to match openSUSE packaging requirements
* Fri Jan  6 2017 lkundrak@v3.sk
- Initial packaging
